<?php

namespace Inspire_Labs\Alsendo_Connect\Plugin;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class Security_Request_Filter implements Request_Filter_Interface {

	/**
	 * Filter
	 *
	 * @param $key $key.
	 * @param $value $value.
	 *
	 * @return array|string
	 */
	public function filter( $key, $value ) {
		if ( ! is_array( $value ) ) {
			return sanitize_text_field( $value );
		}

		return $value;
	}
}
